package electrosphere.entity.state.collidable;

import org.joml.Vector3d;

/**
 * An impulse to be applied to a collidable
 */
public class Impulse {
    
    Vector3d direction;
    Vector3d collisionPoint;
    Vector3d worldPoint;
    double force;
    String type;
    
    public Impulse(Vector3d forceDir, Vector3d collisionPoint, Vector3d worldPoint, double force, String type){
        this.force = force;
        this.direction = forceDir;
        this.collisionPoint = collisionPoint;
        this.type = type;
        this.worldPoint = worldPoint;
    }

    public Vector3d getDirection() {
        return direction;
    }

    public double getForce() {
        return force;
    }

    public String getType() {
        return type;
    }

    public Vector3d getCollisionPoint() {
        return collisionPoint;
    }

    public Vector3d getWorldPoint(){
        return worldPoint;
    }
    
    
}
